export const stepsMap = reactive([
  [
    [0, 0, 1],
    [0, 0],
    [0],
  ],
  [
    [0],
    [0],
    [0],
  ],
  [
    [0],
    [0],
  ],
  [
    [0],
    [0],
  ],
  [
    [0],
    [0],
    [0],
  ],
])

// watch(stepsMap, () => {
//   sessionStorage.setItem('stepsMap', JSON.stringify(stepsMap))
// }, { deep: true })

window.handleCompleteTask = function (gid: number, pid: number, cid: number) {
  stepsMap[gid][pid][cid] = 1
}

window.handleAutoCompleteTask = function () {
  const { gid, pid, cid } = JSON.parse(sessionStorage.getItem('StepId')!)
  window.handleCompleteTask(gid, pid, cid)
}
